gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. ButtonBox is a container for laying out widgets.

A button box should be used to provide a consistent layout of buttons throughout your application. Specific button boxes are for horizontal groups of buttons, and for vertical button groups.

Gtk.Box Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ButtonBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gtk.ButtonBoxStyle Alter the way the buttons in this box are arranged. the new style to arrange the buttons in. The style that the child widgets are currently arranged in. See for more information about the styles of button boxes.
- Property
  Gtk.ButtonBoxStyle See
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Default parameterless constructor.
  a
  This is the default constructor for the class.
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Boolean `` Gets whether is in the secondary group of children. a child of this a See for more details on the "secondary" child property.
- Method
  System.Void `` `` Sets whether should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog. a child of this if should be placed in a secondary group, otherwise.

  A secondary group appears after the other children if the style is , or , and before the the other children if the style is . For horizontal button boxes, the definition of before/after depends on direction of the widget (see ). If the style is or , then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.